/*
** Displays FCE32.DLL Version and Build
*/

#include <windows.h>
#include <stdio.h>
#include "fce.h"
#include "keycode.h"

static Buffer[65];

void main(void)
{int Version; 
 int Build;
 fceAttach(1, FCE_KEY_CODE);
 Version = fceGetInteger(0,FCE_GET_VERSION);
 Build = fceGetInteger(0,FCE_GET_BUILD);
 printf("FCE32 Version: %1d.%1d.%1d Build %d\n",
   0x0f&(Version>>8),0x0f&(Version>>4),0x0f&Version,Build);
 fceGetString(0,FCE_GET_REGISTRATION,(LPSTR)Buffer,65);
 printf(" Registration: %s\n", Buffer);
 fceRelease();
} 


