@echo off
REM
REM Installation script for FCE4C (3/18/99).
REM
REM Read INSTALL.TXT before running.
REM
if "%1" == "1" goto WIN16
if "%1" == "M" goto MS
if "%1" == "B" goto BC
if "%1" == "W" goto WC
if "%1" == "m" goto MS
if "%1" == "b" goto BC
if "%1" == "w" goto WC
if "%1" == "u" goto MSU
if "%1" == "U" goto MSU
echo *** ERROR: Incorrect or missing argument.
echo *** Usage is:
echo *** 'INSTALL 1' for all Win16 compilers (does not install Win32).
echo *** 'INSTALL M' for Win32 native Microsoft C/C++, Visual Basic.
echo *** 'INSTALL B' for Win32 native Borland C/C++, C++ Builder, Delphi.
echo *** 'INSTALL W' for Win32 native WATCOM C/C++
echo *** 'INSTALL U'  for Win32 "universal" (recommended if possible).
echo ***    Requires "declspec" keyword, which is supported in
echo ***    Microsoft 4.0, Borland 5.0, and Watcom 11.0 compilers.
echo ***    Can also be used with 32 bit Visual Basic and Delphi.
echo ***
goto FINI
:WIN16
echo Installing Win16 LIB and DLL only.
REM (Only one version of Win16 DLL and LIB).
echo COPY FCE.H2 FCE.H
copy      FCE.H2 FCE.H  > NUL
goto COPYDLLS
:MSU
echo Installing Universal (Microsoft) LIB and DLL
echo COPY FCE32U.LIB FCE32.LIB
copy      FCE32U.LIB FCE32.LIB > NUL
echo COPY FCE32U.DLL FCE32.DLL
copy      FCE32U.DLL FCE32.DLL > NUL
echo COPY FCE.H2 FCE.H
copy      FCE.H2 FCE.H  > NUL
goto COPYDLLS
:MS
echo Installing native Microsoft LIB and DLL
echo COPY FCE32M.LIB FCE32.LIB
copy      FCE32M.LIB FCE32.LIB > NUL
echo COPY FCE32M.DLL FCE32.DLL
copy      FCE32M.DLL FCE32.DLL > NUL
echo COPY FCE.H1 FCE.H > NUL
copy      FCE.H1 FCE.H
goto COPYDLLS
:BC
echo Installing native Borland LIB and DLL
echo COPY FCE32B.LIB FCE32.LIB
copy      FCE32B.LIB FCE32.LIB > NUL
echo COPY FCE32B.DLL FCE32.DLL
copy      FCE32B.DLL FCE32.DLL > NUL
echo COPY FCE.H1 FCE.H
copy      FCE.H1 FCE.H > NUL
goto COPYDLLS
:WC
echo Installing native Watcom LIB and DLL
echo COPY FCE32W.LIB FCE32.LIB
copy      FCE32W.LIB FCE32.LIB > NUL
echo COPY FCE32W.DLL FCE32.DLL
copy      FCE32W.DLL FCE32.DLL > NUL
echo COPY FCE.H1 FCE.H
copy      FCE.H1 FCE.H > NUL
:COPYDLLS 
if (%windir%) == () goto WIN31
echo COPY FCE16.DLL %windir%
copy      FCE16.DLL %windir% > NUL
if (%1) == (1) goto DONE
echo COPY FCE32.DLL %windir%
copy      FCE32.DLL %windir% > NUL
goto DONE
:WIN31
echo COPY FCE16.DLL C:\WINDOWS
copy      FCE16.DLL C:\WINDOWS > NUL
if (%1) == (1) goto DONE
echo COPY FCE32.DLL C:\WINDOWS
copy      FCE32.DLL C:\WINDOWS > NUL
:DONE
echo Installation is done. 
:FINI

 